function hendLerFormAdd(event) {
	event.preventDefault();

	var task = {
		title: $(this).find('[name=title]').val(),
		description: $(this).find('[name=description]').val(),
		status: '1'               // 1- todo, 2 - in progress, 3 - completed
	};

	var id = new Date().getTime();
	localStorage.setItem(id, JSON.stringify(task));   // записать это туда
	metods.addTask(task, id);
	$modalAddTask.modal('hide');

	this.reset();  // возвращает форму к виду к котором она определена в хтмл (очистка формы)
}

function hendlerDeleteTask() {  // вешаем обработчик клик на кнопку delete-task
	$modalDeleteTask.modal('show');

	$btnOk.on('click', function(event) {
		var $parent = $(this).parent();   // вызываем родителя
		var taskId =  $parent.data('id');       
		localStorage.removeItem(taskId);        //удаление из локальной памяти элементов найденных по id
		$parent.remove(); 						// удаление родительского элемента в нашем случае это li по которому кликнули(this)
		
		metods.count();
		$modalDeleteTask.modal('hide');
		$btnOk.off('click');
	}.bind(this));
	
}

function hendlerDeleteAll(){           //кнопка удаления 
	localStorage.clear();					//очистка локальной памяти
	$('.list-group-item').remove();			//удаление всех строк
	metods.count();			
}

function handLerShowModal() {                // фокус при открытии модального окна на инпут
	$(this).find('[name=title]').focus();
}

function hendlerEditTask() {
	$modalEditTask.modal('show');

	var $parent = $(this).parent();
	var taskId =  $parent.data('id');
	var task = JSON.parse(localStorage.getItem(taskId) );   
	
	for (key in task) {
		$modalEditTask.find('[name=' + key + ']').val(task[key] );
	}
	$modalEditTask.find('[name=id]').val(taskId);
}

function hendLerFormEditTask(event) {
	event.preventDefault();

	var task = {
		title: $(this).find('[name=title]').val(),
		description: $(this).find('[name=description]').val(),
		status: $(this).find('[name=status]').val()
		}

	var id = $(this).find('[name=id]').val();
	localStorage.setItem(id, JSON.stringify(task)); //добавление элемента 
	$('[data-id=' + id + ']', $taskList).remove();     // удаление элемента
	metods.addTask(task, id);    

	$modalEditTask.modal('hide');   // скрываем модальное окно
	metods.count();            // обновляем счетчики
}

function hendlerDeleteModalTask() {
	$modalDeleteTask.modal('show');
}